Lavalite package that provides med management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `herod/med`.

    "herod/med": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Herod\Med\Providers\MedServiceProvider::class,

And also add it to alias

    'Med'  => Herod\Med\Facades\Med::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Herod\\Med\\Seeds\\MedTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Herod\Med\Providers\MedServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Herod\Med\Providers\MedServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Herod\Med\Providers\MedServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/med/{modulename}

**User**

    http://path-to-route-folder/user/med/{modulename}

**Public**

    http://path-to-route-folder/meds


### API endpoints

**List**

    http://path-to-route-folder/api/user/med/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/med/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/med/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/med/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/med/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/med/{modulename}/{slug}
    METHOD: GET